QGIS Application - Bug report #9027
Import vector to GeoServer not working
2013-11-07 01:12 AM - Sean O'Donnell

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17682
Description

| am having trouble getting a vector onto GeoServer using the Processing Toolbox (Formerly SEXTANTE) tool 'Import vector into
GeoServer'. The tools works if | use a local host URL, however | am trying to upload onto our company's secure server. Also when | try to
run on the actual server which changes the URL to 'http://localhost:8080/geoserver/rest' it still does not work. | am using the correct
passcode and username, could there be some setting | have to make in GeoServer that allows this tool to run even on a secure server?
Here is the error | am getting:
File "C:/Users/user/.qgis//python/plugins\\sextante\\core\\GeoAlgorithm.py", line 145, in execute
self.processAlgorithm(progress)
File "C:/Users/user/.qgis//python/plugins\\sextante\\admintools\\ImportVectorintoGeoServer.py", line 54, in processAlgorithm
workspace = self.catalog.get_workspace(workspaceName)
File "C:/Users/user/.qgis//python/plugins\\sextante\\admintools\\geoserver\\catalog.py", line 517, in get_workspace
candidates = [w for w in self.get_workspaces() if w.name == name]
File "C:/Users/user/.qgis//python/plugins\\sextante\\admintools\\geoserver\\catalog.py", line 513, in get_workspaces
description = self.get_xml("%s/workspaces.xml" % self.service_url)
File "C:/Users/user/.qgis//python/plugins\\sextante\\admintools\\geoserver\\catalog.py", line 165, in get_xml
raise FailedRequestError("Tried to make a GET request to %s but got a %d status code: \
%s" % (url, response.status, content))
FailedRequestError: Tried to make a GET request to &lt;function url at 0x0984EA30&gt; but got a 404 status code:
&lt;html&gt;&lt;head&gt; &lt;title&gt;Apache Tomcat/6.0.20 - Error report&lt;/title&gt; &lt;style&gt; &lt;!--H1
font-family: Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2
font-family: Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size: 16px;} H3
font-family: Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY

font-family: Tahoma, Arial,sans-serif;color:white;background-color:#525D76;} P

font-family: Tahoma, Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR
color : #525D76;}--&gt;&lt;/style&gt; &lt;/head&gt;&lt;body&gt;&lt;h1&gt;HT TP Status 404 - &lt;/h1&gt;&lt;HR size="1"
noshade="noshade"&gt;&lt;p&gt;&lt;b&gt;type&lt;/b&gt; Status report&lt;/p&gt;&lt;p&gt;&lt;b&gt;message&lt;/b&gt;

&lt;u&gt; &lt;/u&gt; &lt;/p&gt; &lt;p&gt; &lt;b&gt;description&lt;/b&gt; &lt;u&gt; The requested resource () is not
available.&lt;/u&gt;&lt;/p&gt;&It;HR size="1" noshade="noshade"&gt;&lt;h3&gt;Apache

Tomcat/6.0.20&lt;/h3&gt; &lt;/body&gt;&lt;/htmi&gt;
QGIS Version: 1.8 Lisboa & 2.0 Dufour (alothough | have tried it on 2.0 as well and had the same error)
Apache Tomcat: 6.0

URL: http://company.co.uk:8080/geoserver/rest

user: admin

password: XXXxxx
Layer to Import: map.shp
workspace: files

Any help would be greatly appreciated.
http://company.co.uk:8080/geoserver/rest

Thank you!

History

#1 - 2013-11-07 01:50 AM - Giovanni Manghi
- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-11-22 01:37 AM - Alexander Bruy

- Status changed from Open to Closed

As | can see there is no such algorithm in Processing anymore. If I'm not wrong it was moved to OpenGeo plugin

#3 - 2015-06-07 04:33 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
